%define upstream_name	 Data-Stag
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	%{upstream_name} module for perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/C/CM/CMUNGALL/%{upstream_name}-%{upstream_version}.tar.gz


Buildrequires:  perl(IO::String)
Buildarch:	noarch


%description
This module is for manipulating data as recursively nested tag/value
pairs (Structured TAGs or Simple Tree AGgreggates). These datastructures
can be represented as nested arrays, which have the advantage of being
native to perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%{__make} test

%files 
%doc INSTALL README Changes
%{_bindir}/*
%{perl_vendorlib}/Data
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.140.0-9.mga9
+ Revision: 1802837
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-8.mga8
+ Revision: 1493763
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.140.0-7.mga7
+ Revision: 1267012
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.140.0-6.mga6
+ Revision: 1024870
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.140.0-5.mga6
+ Revision: 940713
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-4.mga5
+ Revision: 739718
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-3.mga5
+ Revision: 684239
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.140.0-2.mga4
+ Revision: 537036
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.140.0-1.mga4
+ Revision: 486185
- update to 0.14

* Fri Aug 09 2013 sander85 <sander85> 0.130.0-1.mga4
+ Revision: 464885
- update to 0.13

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-3.mga3
+ Revision: 365460
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.110.0-2.mga1
+ Revision: 32744
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 30073
- mageia rebuild
- imported package perl-Data-Stag


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.0
+ Revision: 403085
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.11-2mdv2009.0
+ Revision: 268410
- rebuild early 2009.0 package (before pixel changes)

* Fri Jun 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2009.0
+ Revision: 216415
- update to new version 0.11

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-3mdv2008.0
+ Revision: 86328
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-2mdv2007.0
- Rebuild

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdk
- New release 0.10
- dropped patch 0 (fixed upstream)

* Thu Oct 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.09-4mdk
- Fix typo in package name (patch 0)

* Mon Oct 10 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.09-3mdk
- Fix BuildRequires
- %%mkrel

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-2mdk 
- spec cleanup
- don't ship useless empty directories
- make est in %%check

* Thu May 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.09-1mdk
- 0.09

* Sat Feb 12 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.08-1mdk
- 0.08

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.06-2mdk
- fix buildrequires in a backward compatible way

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.06-1mdk 
- new version

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.05-1mdk
- new version
- rpmbuildupdate aware
- macros
- make test

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.03-2mdk
- fixed dir ownership (distlint)

